发布时间 :2005-05-02 00:00:00
修订时间 :2008-09-05 16:46:09

[原文]Unknown vulnerability in the remoteping service in remstats 1.0.13 and earlier allows remote attackers to execute arbitrary commands "due to missing input sanitising."


        remstats 1.0.13及更早版本中的remoteping服务存在未知漏洞,由于"缺乏输入审查",远程攻击者可以执行任意命令。

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)


- OVAL (用于检测的技术细节)


- 官方数据库链接
(官方数据源) MITRE
(官方数据源) NVD
(官方数据源) CNNVD

- 其它链接及资源

- 漏洞信息

高危 输入验证
2005-05-02 00:00:00 2005-10-20 00:00:00
        remstats 1.0.13及更早版本中的remoteping服务存在未知漏洞,由于"缺乏输入审查",远程攻击者可以执行任意命令。

- 公告与补丁


- 漏洞信息 (F36977)

dsa-704.txt (PacketStormID:F36977)
2005-04-17 00:00:00

Debian Security Advisory 704-1 - Jens Steube discovered several vulnerabilities in remstats, the remote statistics system.

Hash: SHA1

- --------------------------------------------------------------------------
Debian Security Advisory DSA 704-1                                        Martin Schulze
April 4th, 2005               
- --------------------------------------------------------------------------

Package        : remstats
Vulnerability  : tempfile, missing input sanitising
Problem-Type   : local, remote
Debian-specific: no
CVE IDs        : CAN-2005-0387 CAN-2005-0388

Jens Steube discovered several vulnerabilities in remstats, the remote
statistics system.  The Common Vulnerabilities and Exposures Project
identifies the following problems:


    When processing uptime data on the unix-server a temporary file is
    opened in an insecure fashion which could be used for a symlink
    attack to create or overwrite arbitrary files with the permissions
    of the remstats user.


    The remoteping service can be exploited to execute arbitrary
    commands due to missing input sanitising.

For the stable distribution (woody) these problems have been fixed in
version 1.00a4-8woody1.

For the unstable distribution (sid) these problems have been fixed in
version 1.0.13a-5.

We recommend that you upgrade your remstats packages.

Upgrade Instructions
- --------------------

wget url
        will fetch the file for you
dpkg -i file.deb
        will install the referenced file.

If you are using the apt-get package manager, use the line for
sources.list as given below:

apt-get update
        will update the internal database
apt-get upgrade
        will install corrected packages

You may use an automated update by adding the resources from the
footer to the proper configuration.

Debian GNU/Linux 3.0 alias woody
- --------------------------------

  Source archives:
      Size/MD5 checksum:      700 5efc205ed693b60a221482d34f806328
      Size/MD5 checksum:    18811 2aeb52cab7aad8a500a96d29b3930750
      Size/MD5 checksum:   918361 dd857cd7d66037ce068df01d22b4cee9

  Architecture independent components:
      Size/MD5 checksum:   171294 08f1461cfeff2282a1b573d329bb3ed1
      Size/MD5 checksum:    73580 568da9f07f8e229245c32a8c9690fd4a
      Size/MD5 checksum:   246540 5bae0a115c1fe653793df17d61eacdad

  Alpha architecture:
      Size/MD5 checksum:    60664 761461ec410d5dac63378df866be6cad

  ARM architecture:
      Size/MD5 checksum:    48028 e1e45ef582d1a82cd76d16d09fc63c5b

  Intel IA-32 architecture:
      Size/MD5 checksum:    46094 daf29132eb3252d957d4517447f2cbae

  Intel IA-64 architecture:
      Size/MD5 checksum:    63346 dd6cfabb3329b80507b62d3b3d4f8b82

  HP Precision architecture:
      Size/MD5 checksum:    49794 d9c9867d122221a0d99cdfa0a774e3dd

  Motorola 680x0 architecture:
      Size/MD5 checksum:    45004 9a15c54ea425443dfa776bd61cff2c2a

  Big endian MIPS architecture:
      Size/MD5 checksum:    50662 b79c01e63e63b0ca39016c69e81b75a1

  Little endian MIPS architecture:
      Size/MD5 checksum:    50614 ca121e22f5cb4167a08a52fea2a4c7f0

  PowerPC architecture:
      Size/MD5 checksum:    48894 61528468c5735dda7a75439735cab676

  IBM S/390 architecture:
      Size/MD5 checksum:    47900 bc9b4cae98fce8dd9477d67625dda5fe

  Sun Sparc architecture:
      Size/MD5 checksum:    52176 283ade4294f9f7dc751a038770035dd8

  These files will probably be moved into the stable distribution on
  its next update.

- ---------------------------------------------------------------------------------
For apt-get: deb stable/updates main
For dpkg-ftp: dists/stable/updates/main
Mailing list:
Package info: `apt-cache show <pkg>' and<pkg>

Version: GnuPG v1.4.0 (GNU/Linux)



- 漏洞信息

remstats remoteping Service Arbitrary Command Execution
Remote / Network Access Input Manipulation
Loss of Integrity
Exploit Unknown

- 漏洞描述

remstats contains a flaw that may allow a malicious user to execute arbitrary commands. The issue is triggered when a remote user manipulates the inputs in the '' script. It is possible that the flaw may allow a user to execute arbitrary commands due to missing input sanitizing resulting in a loss of integrity.

- 时间线

2005-04-05 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 1.00a4-8woody1 or higher for stable version, and upgrade to version 1.0.13a-5 or higher for unstable distribution, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

- 漏洞信息

Remstats Remote Command Execution Vulnerability
Input Validation Error 12980
Yes No
2005-04-04 12:00:00 2009-07-12 11:56:00
Jens Steube is credited with the discovery of this issue.

- 受影响的程序版本

Remstats Network Analysis Utility 1.0.13 a
Remstats Network Analysis Utility 1.0.12 a
Remstats Network Analysis Utility 1.0.11 a
Remstats Network Analysis Utility 1.0.10 a
Remstats Network Analysis Utility 1.0.9 a
Remstats Network Analysis Utility 1.0.8 a
Remstats Network Analysis Utility 1.0.7 a
Remstats Network Analysis Utility 1.0.6 a
Remstats Network Analysis Utility 1.0.5 a
Remstats Network Analysis Utility 1.0 a4

- 漏洞讨论

A remote command execution vulnerability affects Remstats. This issue is due to a failure of the application to properly sanitize user-supplied input prior to using it to carry out critical functionality.

An attacker may leverage this issue to execute arbitrary commands with the privileges of the unsuspecting users that activated the affected application.

- 漏洞利用

Currently we are not aware of any exploits for this issue. If you feel we are in error or are aware of more recent information, please mail us at: &lt;;.

- 解决方案

Debian Linux has released an advisory (DSA 704-1) dealing with this issue. Please see the referenced advisory for more information.

- 相关参考